<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layoutadmin}">
<head>
    <meta charset="UTF-8">
    <title>MBKM</title>
    <style>
        div.ex1 {
            width: 100%;
            height: 800px;
            overflow: scroll;
        }
    </style>
</head>
<body>
<div layout:fragment="main">
    <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
        <div class="container-fluid">
            <div class="header-body">
                <!-- Card stats -->
                <div class="row">
                    <div class="col-xl-12 col-lg-12">
                        <div class="card card-stats mb-4 mb-xl-0">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col">
                                        <h5 class="card-title text-uppercase text-muted mb-0">List</h5>
                                        <span class="h2 font-weight-bold mb-0">Report</span>
                                    </div>
                                    <div class="col-auto">
                                        <div class="icon icon-shape bg-gradient-blue text-white rounded-circle shadow">
                                            <i class="fas fa-user-astronaut"></i>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="container-fluid mt--7">
        <!-- Table -->
        <div class="row">
            <div class="col">
                <div class="card shadow">
                    <div class="card-header border-0">
                        <h3 class="mb-0">Data</h3>
                    </div>
                    <div class="card-body">
                        <form method="get">
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label>Tahun Akademik</label>
                                        <select id="tahunId" name="tahunAkademik" class="form-control">
                                            <option th:each="data : ${tahunAkademik}"
                                                    th:text="${data.namaTahunAkademik}"
                                                    th:selected="(${data} == *{selectedTahun})"
                                                    th:value="${data.id}"></option>
                                        </select>
                                    </div>
                                </div>

                                <div class="col-md-12 text-center">
                                    <button type="submit" class="btn btn-primary">Search</button>
                                </div>
                            </div>
                        </form>
                    </div>

                    <div class="card-body">
                        <div class="card shadow">
                            <div class="card-header border-0">
                                <div class="col text-right">
<!--                                    <a th:href="@{/report/recapitulation/downloadipk (tahunAkademik =${selectedTahun.id}, angkatan =${selectedAngkatan})}" class="btn btn-warning btn-sm"><i class="fa fa-download"></i> Download</a>-->
                                </div>
                            </div>
                            <div class="table-responsive">
                                <table id="data-table-1" class="table align-items-center table-flush">
                                    <thead class="thead-light">
                                    <tr>
                                        <th>#</th>
                                        <th>Nim</th>
                                        <th>Nama</th>
                                        <th>Nama Prodi</th>
                                        <th>Dosen Wali</th>
                                        <th>Status Approval</th>
                                        <th>Detail Matakuliah</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <tr th:each="data,row : ${listMbkm}">
                                        <td th:text="${(row.index + 1)}"></td>
                                        <td th:text="${data.mahasiswa.nim}"></td>
                                        <td th:text="${data.mahasiswa.nama}"></td>
                                        <td th:text="${data.mahasiswa.idProdi.namaProdi}"></td>
                                        <td th:text="${data.mahasiswa.dosen.karyawan.namaKaryawan}"></td>
                                        <td th:if="${data.statusApproval == data.statusApproval.WAITING}">
                                            <button type="button" class="btn btn-warning btn-sm">WAITING</button>
                                        </td>
                                        <td th:if="${data.statusApproval == data.statusApproval.APPROVED}">
                                            <button type="button" class="btn btn-success btn-sm">APPROVED</button>
                                        </td>
                                        <td th:if="${data.statusApproval == data.statusApproval.REJECTED}">
                                            <button type="button" class="btn btn-danger btn-sm">REJECTED</button>
                                        </td>
                                        <td th:if="${data.statusApproval == data.statusApproval.WAITING}" class="text-right">
                                            <button type="button" class="btn btn-info btn-sm" th:id="${data.mahasiswa.id}" onclick="detailMbkm(this.id)">
                                                <i class="fas fa-eye"></i> Detail
                                            </button>

                                            <div class="modal fade" th:id="${'modal-mbkm' + data.mahasiswa.id}" tabindex="-1" role="dialog" aria-labelledby="modal-notification" aria-hidden="true">
                                                <div class="modal-dialog modal-lg modal-dialog-centered modal-" role="document">
                                                    <div class="modal-content">

                                                        <div class="modal-header">
                                                            <h6 class="modal-title" id="modal-title-notification">Detail Matakuliah MBKM</h6>
                                                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                                <span aria-hidden="true">×</span>
                                                            </button>
                                                        </div>

                                                        <div class="modal-body">
                                                            <div class="table-responsive">
                                                                <table id="table-mbkm" class="table align-items-center table-flush">
                                                                    <thead class="thead-light">
                                                                    <tr>
                                                                        <th class="text-center"></th>
                                                                        <th class="text-center">Matakuliah</th>
                                                                        <th class="text-center">SKS</th>
                                                                    </tr>
                                                                    </thead>
                                                                    <tbody>

                                                                    </tbody>
                                                                </table>
                                                            </div>
                                                        </div>
                                                        <div class="modal-footer">
                                                            <div th:if="${data.statusApproval == data.statusApproval.WAITING}">
                                                                <form th:action="@{/mbkm/approved(mbkm = ${data.id})}" method="post">
                                                                    <button class="btn btn-primary btn-sm">Approved</button>
                                                                </form>
                                                            </div>
                                                            <div th:if="${data.statusApproval == data.statusApproval.WAITING}">
                                                                <form th:action="@{/mbkm/reject(mbkm = ${data.id})}" method="post">
                                                                    <button class="btn btn-danger btn-sm">Reject</button>
                                                                </form>
                                                            </div>
                                                            <button type="button" class="btn btn-link text-white ml-auto" data-dismiss="modal">Tutup</button>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                        <td th:if="${data.statusApproval == data.statusApproval.APPROVED}" class="text-right">
                                            <button type="button" class="btn btn-info btn-sm" th:id="${data.mahasiswa.id}" onclick="detailMbkmApproved(this.id)">
                                                <i class="fas fa-eye"></i> Detail
                                            </button>

                                            <div class="modal fade" th:id="${'modal-mbkm-approved' + data.mahasiswa.id}" tabindex="-1" role="dialog" aria-labelledby="modal-notification" aria-hidden="true">
                                                <div class="modal-dialog modal-lg modal-dialog-centered modal-" role="document">
                                                    <div class="modal-content">

                                                        <div class="modal-header">
                                                            <h6 class="modal-title" id="modal-title-notification">Detail Matakuliah MBKM</h6>
                                                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                                <span aria-hidden="true">×</span>
                                                            </button>
                                                        </div>

                                                        <div class="modal-body">
                                                            <div class="table-responsive">
                                                                <table id="table-mbkm-approved" class="table align-items-center table-flush">
                                                                    <thead class="thead-light">
                                                                    <tr>
                                                                        <th class="text-center"></th>
                                                                        <th class="text-center">Matakuliah</th>
                                                                        <th class="text-center">SKS</th>
                                                                        <th class="text-center">Dosen</th>
                                                                        <th class="text-center">Nilai</th>
                                                                        <th class="text-center">Grade</th>
                                                                    </tr>
                                                                    </thead>
                                                                    <tbody>

                                                                    </tbody>
                                                                </table>
                                                            </div>
                                                        </div>
                                                        <div class="modal-footer">
<!--                                                            <div th:if="${data.statusApproval == data.statusApproval.APPROVED}">-->
<!--                                                                <form th:action="@{/mbkm/waiting(mbkm = ${data.id})}" method="post">-->
<!--                                                                    <button class="btn btn-primary btn-sm">Set Waiting</button>-->
<!--                                                                </form>-->
<!--                                                            </div>-->
                                                            <div>
                                                                <form th:action="@{/mbkm/cancel(mbkm = ${data.id})}" method="post">
                                                                    <button class="btn btn-danger btn-sm">Cancel</button>
                                                                </form>
                                                            </div>
                                                            <button type="button" class="btn btn-link text-white ml-auto" data-dismiss="modal">Tutup</button>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                    </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>
<script>
    function detailMbkm(id){

        $('#modal-mbkm'+id).modal('show');

        var tahun = $('#tahunId').val();

        const url = '/get-matkul-mbkm-tahun/'+id+'/'+tahun;
        $.getJSON(url, function (data){
            $('#table-mbkm tbody').empty();

            $.each(data, function (key, entry){
                console.log(entry);
                let rowT1 = '<tr>' +
                    '<td class="text-center"><a class="btn btn-warning btn-sm text-white" href="/report/mbkm/editwaiting?matakuliahMbkm=' + entry.id +'">Edit Matkul</a>' + '</td>' +
                    '<td class="text-center">' + entry.matakuliahKurikulum.matakuliah.namaMatakuliah + '</td>' +
                    '<td class="text-center">' + entry.matakuliahKurikulum.jumlahSks + '</td>' +
                    // '<td class="text-center">' + entry.jadwal.dosen.karyawan.namaKaryawan + '</td>' +
                    '</tr>';
                $('#table-mbkm tbody').append(rowT1);

                console.log("data request : " + entry.id);
            });
        });
    }

    function detailMbkmApproved(id){

        $('#modal-mbkm-approved'+id).modal('show');

        var tahun = $('#tahunId').val();

        const url = '/get-matkul-mbkm-approved/'+id+'/'+tahun;
        $.getJSON(url, function (data){
            $('#table-mbkm-approved tbody').empty();

            $.each(data, function (key, entry){
                let rowT1 = null;
                console.log(entry)
                if (entry[5] == '-'){
                    rowT1 = '<tr>' +
                        '<td class="text-center"><a class="btn btn-warning btn-sm text-white" href="/report/mbkm/editapprove?krsDetail=' + entry[0] +'">Edit Matkul</a>' + '</td>' +
                        '<td class="text-center">' + entry[1] + '</td>' +
                        '<td class="text-center">' + entry[2] + '</td>' +
                        '<td class="text-center">' + entry[3] + '</td>' +
                        '<td class="text-center">' + entry[4] + '</td>' +
                        '<td class="text-center">' + entry[5] + '</td>' +
                        '</tr>';
                }else{
                    rowT1 = '<tr>' +
                        '<td class="text-center"></td>' +
                        '<td class="text-center">' + entry[1] + '</td>' +
                        '<td class="text-center">' + entry[2] + '</td>' +
                        '<td class="text-center">' + entry[3] + '</td>' +
                        '<td class="text-center">' + entry[4] + '</td>' +
                        '<td class="text-center">' + entry[5] + '</td>' +
                        '</tr>';
                }
                $('#table-mbkm-approved tbody').append(rowT1);

                console.log("data request : " + entry[0]);
            });
        })
    }
</script>